Debian Bug report logs - #456102
FTBFS: error: 'INT_MAX' undeclared

version graph

Package: udftools; Maintainer for udftools is Richard Atterer <atterer@debian.org>; Source for udftools is src:udftools.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 13 Dec 2007 04:21:01 UTC

Severity: serious

Found in version udftools/1.0.0b3-13

Fixed in version udftools/1.0.0b3-13.1

Done: Adrian Friedli <adi@koalatux.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard Atterer <atterer@debian.org>:
Bug#456102; Package udftools. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Richard Atterer <atterer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS: error: 'INT_MAX' undeclared
Date: Wed, 12 Dec 2007 21:19:51 -0700
Package: udftools
Version: 1.0.0b3-13
Severity: serious

This package no longer builds in unstable:

> Automatic build of udftools_1.0.0b3-13 on em64t by sbuild/amd64 0.53
...
> if gcc -DHAVE_CONFIG_H -I. -I. -I../include  -D_LARGEFILE64_SOURCE   -g -O2 -MT cdrwtool.o -MD -MP -MF ".deps/cdrwtool.Tpo" -c -o cdrwtool.o cdrwtool.c; \
> 	then mv -f ".deps/cdrwtool.Tpo" ".deps/cdrwtool.Po"; else rm -f ".deps/cdrwtool.Tpo"; exit 1; fi
> cdrwtool.c: In function 'cdrom_open_check':
> cdrwtool.c:606: error: 'INT_MAX' undeclared (first use in this function)
> cdrwtool.c:606: error: (Each undeclared identifier is reported only once
> cdrwtool.c:606: error: for each function it appears in.)
> make[2]: *** [cdrwtool.o] Error 1
> make[2]: Leaving directory `/build/tbm/udftools-1.0.0b3/cdrwtool'

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#456102; Package udftools. Full text and rfc822 format available.

Acknowledgement sent to Richard Atterer <atterer@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 456102@bugs.debian.org (full text, mbox):

From: Richard Atterer <atterer@debian.org>
To: 456102@bugs.debian.org
Subject: Re: Bug#456102: FTBFS: error: 'INT_MAX' undeclared
Date: Thu, 13 Dec 2007 11:55:44 +0100
On Wed, Dec 12, 2007 at 09:19:51PM -0700, Martin Michlmayr wrote:
> > cdrwtool.c: In function 'cdrom_open_check':
> > cdrwtool.c:606: error: 'INT_MAX' undeclared (first use in this function)

This puzzled me at first, as line 606 reads:

  ret = ioctl(fd, CDROM_DRIVE_STATUS, CDSL_CURRENT);

Both constants come from linux/cdrom.h. For me it contains:

  #define CDROM_DRIVE_STATUS      0x5326  /* Get tray position, etc. */
  #define CDSL_CURRENT            ((int) (~0U>>1))

I wouldn't be surprised if the second #define had been changed to use 
INT_MAX in more recent kernel sources.

So is this a bug in the header file - should it include <limits.h> itself?

Cheers,

  Richard

-- 
  __   _
  |_) /|  Richard Atterer
  | \/¯|  http://atterer.net
  ¯ '` ¯




Reply sent to Adrian Friedli <adi@koalatux.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 456102-close@bugs.debian.org (full text, mbox):

From: Adrian Friedli <adi@koalatux.ch>
To: 456102-close@bugs.debian.org
Subject: Bug#456102: fixed in udftools 1.0.0b3-13.1
Date: Sat, 12 Jan 2008 15:47:19 +0000
Source: udftools
Source-Version: 1.0.0b3-13.1

We believe that the bug you reported is fixed in the latest version of
udftools, which is due to be installed in the Debian FTP archive:

udftools_1.0.0b3-13.1.diff.gz
  to pool/main/u/udftools/udftools_1.0.0b3-13.1.diff.gz
udftools_1.0.0b3-13.1.dsc
  to pool/main/u/udftools/udftools_1.0.0b3-13.1.dsc
udftools_1.0.0b3-13.1_i386.deb
  to pool/main/u/udftools/udftools_1.0.0b3-13.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 456102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Friedli <adi@koalatux.ch> (supplier of updated udftools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 13:22:01 +0100
Source: udftools
Binary: udftools
Architecture: source i386
Version: 1.0.0b3-13.1
Distribution: unstable
Urgency: high
Maintainer: Richard Atterer <atterer@debian.org>
Changed-By: Adrian Friedli <adi@koalatux.ch>
Description: 
 udftools   - tools for UDF filesystems and DVD/CD-R(W) drives
Closes: 456102
Changes: 
 udftools (1.0.0b3-13.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * limits.h included. (Closes: #456102)
Files: 
 d115253ddf91fb107ac12cb504248478 608 otherosfs extra udftools_1.0.0b3-13.1.dsc
 4823494eababd08d3991dfb841de1535 387286 otherosfs extra udftools_1.0.0b3-13.1.diff.gz
 2a1815bd07eaea01f333ac7d197bf3cd 77908 otherosfs extra udftools_1.0.0b3-13.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiN2I5UTeB5t8Mo0RAkocAKDAGXZpjzeqnnB53G+FeTO+A114NgCgiQkk
ee0CZnDyA0JENvheur9k78o=
=0SqH
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Richard Atterer <atterer@debian.org>:
Bug#456102; Package udftools. Full text and rfc822 format available.

Acknowledgement sent to Adrian Friedli <adi@koalatux.ch>:
Extra info received and forwarded to list. Copy sent to Richard Atterer <atterer@debian.org>. Full text and rfc822 format available.

Message #20 received at 456102@bugs.debian.org (full text, mbox):

From: Adrian Friedli <adi@koalatux.ch>
To: 456102@bugs.debian.org
Subject: NMU-diff for udftools 1.0.0b3-13.1
Date: Sun, 13 Jan 2008 18:18:28 +0100
[Message part 1 (text/plain, inline)]
Hi

I fixed the FTBFS. Attached is the NMU-diff.

Regards, Adrian
[456102-NMU.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:25:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:56:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.